libzypp 17.37.10

richtext.cc File Reference
`#include <sstream>`
`#include <map>`
`#include <vector>`
`#include <string>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/String.h>`

Go to the source code of this file.

## Namespaces
namespace | ztui

## Enumerations
enum | ztui::tags { ztui::PARAGRAPH , ztui::PRE , ztui::BLOCKQUOTE , ztui::BOLD , ztui::UNDERLINED , ztui::ANCHOR , ztui::HEADER1 , ztui::HEADER2 , ztui::HEADER3 , ztui::BREAK_LINE , ztui::EM , ztui::ITALIC , ztui::HR , ztui::LI , ztui::OL , ztui::UL , ztui::TT , ztui::QT , ztui::BIG , ztui::CODE , ztui::CENTER , ztui::UNKNOWN }

## Functions
void | ztui::fillTagmap ()
std::string | ztui::closeTag (std::vector< tags > &tagStack)
std::string | ztui::openTag (std::vector< tags > &tagStack, std::string &tag)
void | ztui::fillAmpersmap ()
std::string | ztui::getStringFromAmpr (const std::string &str)
std::string | ztui::processRichText (const std::string &text)

## Variables
std::map< std::string, tags > | ztui::_rtTagmap
bool | ztui::pre
bool | ztui::ordered
unsigned | ztui::count_list_items
std::map< std::string, std::string > | ztui::ampersmap